Bug 90804 - gcc miscompiles xmgrace
gcc miscompiles xmgrace
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-13 20:29 EDT by Dimitri
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-04 18:42:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitri 2003-05-13 20:29:21 EDT
Description of problem:
xmgrace 5.1.12 (and earlier) crashes if compiled with gcc

Version-Release number of selected component (if applicable):
gcc 2.96, RedHat for Advanced workstations 2.1

How reproducible:
After double-click on x- or y-axis, xmgrace crashes if compiled with gcc
If xmgrace is compiled with Intel's ecc, it works fine

Additional info:
Debugging output from gdb follows 
(point #6 of "where" varied, I include all different outputs I got)

[ xmgrace -sync datafile ]
(gdb)
 .................(stuff omitted)..................
0x2000000000c2e782 in select () at soinit.c:56
56      soinit.c: No such file or directory.
        in soinit.c
(gdb) (I set breakpoints at  XtError XtWarning _XError _XIOError)      
(gdb) continue
Continuing.
[I double-click on x-axis in xmgrace]

Program received signal SIGSEGV, Segmentation fault.
0x200000000063e601 in XrmStringToQuark () from /usr/X11R6/lib/libX11.so.6

(gdb) where    
#0  0x200000000063e601 in XrmStringToQuark () from /usr/X11R6/lib/libX11.so.6
#1  0x20000000005372e0 in XtInitializeWidgetClass () from /usr/X11R6/lib/libXt.so.6
#2  0x20000000005d2c98 in vendorShellWidgetClass () from /usr/X11R6/lib/libXt.so.6
#3  0x20000000005372e0 in XtInitializeWidgetClass () from /usr/X11R6/lib/libXt.so.6
#4  0x6000000000104ac0 in ?? ()
#5  0x20000000005372e0 in XtInitializeWidgetClass () from /usr/X11R6/lib/libXt.so.6

#6  0x20000000000426b8 in _dl_debug_mask () from /lib/ld-linux-ia64.so.2
warning: Can't fetch instructions for slot numbers greater than 2.
Using slot 0 instead
#6  0x2000000000c841c8 in xdrstdio_create (xdrs=Cannot access memory at address
0x60000fff7ffffcd8
) at xdr_stdio.c:88
#6  0x2000000000d39f88 in ?? ()
 
#7  0x20000000005372e0 in XtInitializeWidgetClass () from /usr/X11R6/lib/libXt.so.6
Cannot access memory at address 0x60000fff7ffffc30
        
(gdb) continue
Continuing.
Program received signal SIGABRT, Aborted.
0x2000000000ae6322 in kill () at soinit.c:56
56      in soinit.c
Comment 1 Vladimir Makarov 2004-10-04 18:42:27 EDT
Sorry, gcc-2.96 is too old.  Its release cycle was finished long ago.
 Therefore I am closing the case.  If it is still important, the
customer could reopen it.

Note You need to log in before you can comment on or make changes to this bug.